TTF_GetTextSubStringForLine(3)

NAME
TTF_GetTextSubStringForLine - Get the substring of a text object that contains the given line.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetTextSubStringForLine(TTF_Text *text, int line, TTF_SubString *substring);

DESCRIPTION
If line is less than 0, this will return a zero length substring at the beginning of the text with the

TTF_SUBSTRING_TEXT_START
 flag set. If line is greater than or equal to text->num_lines this will return a zero length substring at the end of the text with the

TTF_SUBSTRING_TEXT_END
 flag set.

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

line
    a zero-based line index, in the range [0 .. text->num_lines-1].

substring
    a pointer filled in with the substring containing the offset.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.